LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
JobManager Service Reference

Manage cancelable jobs. More...

`import"JobManager.idl";`

Inheritance diagram for JobManager:

## Additional Inherited Members
Public Member Functions inherited from XJobManager
void | registerJob ([in] com::sun::star::util::XCancellable Job)
| registers a cancelable job. More...
void | releaseJob ([in] com::sun::star::util::XCancellable Job)
| deregisters a cancelable jobs. More...
void | cancelAllJobs ()
| cancel all registered jobs. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Manage cancelable jobs.

See also
  XJobManager

The documentation for this service was generated from the following file:

- com/sun/star/util/JobManager.idl